#### PyKDE - Python Bindings for KDE

# class KFileTreeViewItem |
Table of contents
Modules
kfile Classes
All Classes

Module | kfile
Class | KFileTreeViewItem
Inherits | KListViewItem

### methods

- KFileTreeViewItem (a0, a1, a2)

  returns a KFileTreeViewItem instance
  Argument | Type | Default
  --- | --- | ---
  a0 | KFileTreeViewItem |
  a1 | KFileItem |
  a2 | KFileTreeBranch |

- KFileTreeViewItem (a0, a1, a2)

  returns a KFileTreeViewItem instance
  Argument | Type | Default
  --- | --- | ---
  a0 | KFileTreeView |
  a1 | KFileItem |
  a2 | KFileTreeBranch |

- alreadyListed ()

  returns (bool)

- branch ()

  returns (KFileTreeBranch)

- fileItem ()

  returns (KFileItem)

- isDir ()

  returns (bool)

- path ()

  returns (QString)

- setListed (wasListed)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  wasListed | bool |

- url ()

  returns (KURL)